angular.module('admin')
.controller('InvoicedController', function($scope, $http, $route, $routeParams, $window){
  $scope.orders = [];
  $scope.mensagem = '';

  $scope.inicio = function(){
    $scope.requestProduct();
  };

  $scope.requestProduct = function(){
    $http.get('../../api/cvto/orders-status/invoiced')
    .success(function(orders){
      $scope.orders = orders;
    })
    .error(function(err){
      $scope.mensagem = 'Você não tem pedidos com este status';
    });
  };
}).controller('CanceledController', function($scope, $http, $route, $routeParams, $window){
  $scope.orders = [];
  $scope.mensagem = '';

  $scope.inicio = function(){
    $scope.requestProduct();
  };

  $scope.requestProduct = function(){
    $http.get('../../api/cvto/orders-status/canceled')
    .success(function(orders){
      $scope.orders = orders;
    })
    .error(function(err){
      $scope.mensagem = 'Você não tem pedidos com este status';
    });
  };
}).controller('ReadyController', function($scope, $http, $route, $routeParams, $window){
  $scope.orders = [];
  $scope.mensagem = '';

  $scope.inicio = function(){
    $scope.requestProduct();
  };

  $scope.requestProduct = function(){
    $http.get('../../api/cvto/orders-status/ready-for-handling')
    .success(function(orders){
      $scope.orders = orders;
    })
    .error(function(err){
      $scope.mensagem = 'Você não tem pedidos com este status';
    });
  };
});
